@charset 'utf-8';

nav {
  position: fixed;
  top: 3rem;
  right: 3rem;
  max-width: calc( 100lvw - 6rem );
  max-height: calc( 100lvh - 6rem );
  color: #fff;
  background-color: #000;
  z-index: 1010;
}
nav.on {
  overflow: auto;
  box-sizing: border-box;
  padding: 2rem;
  border-radius: 2rem;
}
nav .button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 1rem 2rem;
  border-radius: 2rem;
  line-height: 1.0;
  font-family: sans-serif;
  font-weight: bold;
  background-color: #000;
  cursor: pointer;
}
nav .button:before {
  display: block;
  content: 'MENU';
}
nav.on .button:before {
  content: '× CLOSE';
}
nav .sitemap {
  overflow: hidden;
  width: 0;
  height: 0;
  line-height: 2.0;
  font-family: serif;
  color: var(--bc_white);
  background-color: var(--bc_black);
  opacity: 0;
}
nav.on .sitemap {
  overflow: auto;
  width: auto;
  height: auto;
  margin: 0.5rem 0;
  padding: 1rem;
  border-radius: 1rem;
  opacity: 1;
  transition: 0.3s;
}
nav .sitemap .pages {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}
nav .sitemap .pages >a,
nav .sitemap .products >.title,
nav .sitemap .products >ul >li >a {
  font-size: 1.5rem;
}
nav .sitemap .products {
  margin-top: 1rem;
}
nav .sitemap .products >ul {
  display: flex;
}
nav .sitemap .products li {
  margin-left: 1rem;
}
nav .sitemap a {
  color: inherit;
}
nav .sitemap a:hover {
  opacity: 0.7;
}

@media screen and (max-width:960px){
  html {
  }
  header .logo {
    top: 1.5rem;
    left: 1.5rem;
  }
  header .logo img {
    width: auto;
    height: 1.5rem;
  }
  nav {
    top: initial;
    right: initial;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0;
    max-width: initial;
    max-height: initial;
    background-color: rgba(0,0,0,0);
    transition: 0.3s;
  }
  nav.on {
    width: 100%;
    height: 100%;
    max-width: initial;
    max-height: initial;
    border-radius: initial;
    padding: 1rem;
    background-color: rgba(0,0,0,1);
  }
  nav .button {
    top: initial;
    right: initial;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
  }
  nav.on .button {
    border: solid var(--bc_white) 1px;
  }
  nav .sitemap .products >ul >li >ul >li {
    display: none;
  }
  nav.on .sitemap {
    margin: 0;
  }
  nav .sitemap .pages {
    flex-direction: column;
    align-items: center;
    gap: 0;
  }
  nav .sitemap .products {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 0;
  }
  nav .sitemap .products ul {
    flex-direction: column;
    gap: 0;
  }
  nav .sitemap .pages >a,
  nav .sitemap .products >.title,
  nav .sitemap .products >ul >li >a {
    font-size: 1.5rem;
  }
  nav .sitemap .pages >a:after,
  nav .sitemap .products >ul >li >a:after {
    display: inline;
    content: ' ≫';
    font-size: 75%;
  }
}

